petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerASCIISetTab

Causes PetscViewer to tab in a number of times

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIISetTab(PetscViewer viewer,PetscInt tabs)

Not Collective, but only first processor in set has any effect

### Input Parameters

| viewer | - obtained with PetscViewerASCIIOpen()
| tabs | - number of tabs

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIIGetTab(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer(), PetscViewerASCIIPushTab()

### Level

developer

### Location

src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages